Skip to main content
POST
/
bookings
/
{booking_id}
/
payments
Create a payment
curl --request POST \
  --url https://{your-subdomain}.neetocal.com/api/external/v1/bookings/{booking_id}/payments \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <x-api-key>' \
  --data '
{
  "payment": {
    "payment_provider": "upi",
    "identifier": "ext-123",
    "idempotency_key": "order-1"
  }
}
'
{
  "id": 123,
  "identifier": "your-external-payment-id",
  "status": "confirmation_pending",
  "amount": 100,
  "currency": "USD"
}
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Identifying your subdomain.

Headers

X-Api-Key
string
required

X-Api-Key is used to authenticate requests using an API key. Provide your API key in this header to access protected endpoints. Refer to Authentication for more information.

Path Parameters

booking_id
string
required

Booking ID (numeric) or booking SID (short ID, up to 10 characters). You can get the booking SID from the Get booking details or List all bookings response.

Example:

"8sqtzrs"

Body

application/json
payment
object
required

Response

OK - Payment created. Use the returned id when confirming the payment.

id
integer

Payment record ID. Use this in the confirm endpoint.

Example:

123

identifier
string

Your external payment reference ID.

Example:

"your-external-payment-id"

status
string

Payment status (e.g. confirmation_pending, successful).

Example:

"confirmation_pending"

amount
number<float>

Payment amount.

Example:

100

currency
string

Currency code.

Example:

"USD"